from pycs import app

from pycs.interfaces.Pipeline import Pipeline
from pycs.interfaces.MediaFile import MediaFile
from pycs.interfaces.MediaStorage import MediaStorage

class Model(Pipeline):

    def __init__(self, root_folder: str, configuration: dict):
        super().__init__(root_folder, configuration)


    def close(self):
        app.logger.debug("closing model")

    def execute(self, storage: MediaStorage, file: MediaFile):
        file.add_bounding_box(0, 0, 1, 1/3)

    def fit(self, storage: MediaStorage):
        app.logger.debug("fitting model")
